use 5.008007;

use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile
  (
   NAME              => 'Linux::Iwtools',
   VERSION_FROM      => 'Iwtools.pm', # finds $VERSION

   ($] >= 5.005 ?      ## Add these new keywords supported since 5.005
    (ABSTRACT_FROM  => 'Iwtools.pm', # retrieve abstract from module
     AUTHOR         => 'Bryan Jurish <moocow@ling.uni-potsdam.de>') : ()),

   PREREQ_PM         => {}, # e.g., Module::Name => 1.1
   PM                => { 'Iwtools.pm'=>'$(INST_LIBDIR)/Iwtools.pm' },

   LIBS              => ['-liw -lm'], # e.g., '-lm'
   DEFINE            => '', # e.g., '-DHAVE_SOMETHING'
   INC               => '-I.', # e.g., '-I. -I/usr/include/other'

   ## Un-comment this if you add C files to link with later:
   # OBJECT            => '$(O_FILES)', # link all the C files too
   OBJECT            => 'Iwtools.o iwconfig.o iwlist.o',
  );


#---------------------------------------------------------------
# Extensions
#---------------------------------------------------------------

sub MY::postamble {
  # how to format the README file
  ("README.txt : README.pod\n"
   ."\tpod2text README.pod README.txt\n"
  );
}

sub MY::dist_core {
  package MY;
  my $inherited = shift->SUPER::dist_core(@_);
  $inherited =~
    # ... distribution requires current README file
    s/^dist\s*:/dist\ : README.txt/m;
  $inherited;
}
